Up

# NSProgressIndicator

### Authors

Gerrit van Dyk (`gerritvd@decimax.com`)

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSProgressIndicator class
2. Software documentation for the NSProgressIndicator(GNUstepExtensions) category

# Software documentation for the NSProgressIndicator class

## NSProgressIndicator : NSView

> Declared in:
>   AppKit/NSProgressIndicator.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -isVertical
- -setVertical:
- -animate:
- -animationDelay
- -controlSize
- -controlTint
- -doubleValue
- -incrementBy:
- -isBezeled
- -isIndeterminate
- -maxValue
- -minValue
- -setAnimimationDelay:
- -setBezeled:
- -setControlSize:
- -setControlTint:
- -setDoubleValue:
- -setIndeterminate:
- -setMaxValue:
- -setMinValue:
- -setUsesThreadedAnimation:
- -startAnimation:
- -stopAnimation:
- -usesThreadedAnimation

### animate:

- (void) animate: (id)sender;

Description forthcoming.

### animationDelay

- (NSTimeInterval) animationDelay;

Description forthcoming.

### controlSize

- (NSControlSize) controlSize;

Description forthcoming.

### controlTint

- (NSControlTint) controlTint;

Description forthcoming.

### doubleValue

- (double) doubleValue;

Description forthcoming.

### incrementBy:

- (void) incrementBy: (double)delta;

Description forthcoming.

### isBezeled

- (BOOL) isBezeled;

Description forthcoming.

### isIndeterminate

- (BOOL) isIndeterminate;

Description forthcoming.

### maxValue

- (double) maxValue;

Description forthcoming.

### minValue

- (double) minValue;

Description forthcoming.

### setAnimimationDelay:

- (void) setAnimimationDelay: (NSTimeInterval)delay;

Description forthcoming.

### setBezeled:

- (void) setBezeled: (BOOL)flag;

Description forthcoming.

### setControlSize:

- (void) setControlSize: (NSControlSize)size;

Description forthcoming.

### setControlTint:

- (void) setControlTint: (NSControlTint)tint;

Description forthcoming.

### setDoubleValue:

- (void) setDoubleValue: (double)aValue;

Description forthcoming.

### setIndeterminate:

- (void) setIndeterminate: (BOOL)flag;

Description forthcoming.

### setMaxValue:

- (void) setMaxValue: (double)newMaximum;

Description forthcoming.

### setMinValue:

- (void) setMinValue: (double)newMinimum;

Description forthcoming.

### setUsesThreadedAnimation:

- (void) setUsesThreadedAnimation: (BOOL)flag;

Description forthcoming.

### startAnimation:

- (void) startAnimation: (id)sender;

Description forthcoming.

### stopAnimation:

- (void) stopAnimation: (id)sender;

Description forthcoming.

### usesThreadedAnimation

- (BOOL) usesThreadedAnimation;

Description forthcoming.

# Software documentation for the NSProgressIndicator(GNUstepExtensions) category

## NSProgressIndicator(GNUstepExtensions)

> Declared in:
>   AppKit/NSProgressIndicator.h

> Standards:
> - NotOpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -isVertical
- -setVertical:

### isVertical

- (BOOL) isVertical;

Description forthcoming.

### setVertical:

- (void) setVertical: (BOOL)flag;

Description forthcoming.

Up